import { NextFunction, Request, Response } from "express";

import Profile from "../../models/ProfileSchema";

const getUsersList = () => (
  req: Request,
  res: Response,
  next: NextFunction
) => {
  Profile.find({}, (err, profiles) => {
    if (err) {
      res.status(400);
    } else {
      res.status(200);
      res.data = { profiles };
    }
    next();
  });
};

export default getUsersList;
